#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	gcc $(CFLAGS) showttf.c -o showttf

	gzip -cd Encodings.ps.gz > Encodings.ps
	set -e; mkdir cidmap; cd cidmap; tar zxvf ../cidmaps.tgz
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp

	rm -rf cidmap Encodings.ps showttf

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs

	cp showttf $(CURDIR)/debian/fontforge-extras/usr/bin/
	cp cidmap/*.cidmap $(CURDIR)/debian/fontforge-extras/usr/share/fontforge

	dh_installman debian/showttf.1


binary-indep: build install


binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
